Skip to main content
GET
/
v2
/
client
/
teams
/
search
Find Team
curl --request GET \
  --url https://api.crowdchange.dev/v2/client/teams/search \
  --header 'Authorization: <api-key>'
[
  {
    "id": 1,
    "name": "Team A",
    "description": "Team description",
    "image": "1eaf5ab2-5d55-11ee-82ef-001c42584fa2",
    "amount_goal": 1000,
    "amount_goal_formatted": "$1,000",
    "amount_raised": 550,
    "amount_raised_formatted": "$550",
    "n_donors": 10,
    "url": "https://demo.crowdchange.dev/1/team/2",
    "language": "en",
    "n_pages": 50,
    "fundraiser": {
      "id": 1,
      "name": "Gala Night",
      "amount_goal": 10000,
      "amount_raised": 8000,
      "amount_raised_formatted": "$8,000",
      "url": "https://demo.crowdchange.dev/1",
      "language": "en",
      "organization": {
        "id": 1,
        "name": "Crowdchange",
        "custom_id": "CrowdchangeID"
      }
    },
    "user": {
      "name": "John Snow",
      "first_name": "John",
      "last_name": "Snow",
      "title": "Mr."
    }
  }
]

Query parameters

text
string
Search term.
fundraiser_page_id
integer
Returns specific personal page if provided.
fundraiser_team_id
integer
ID of the team to filter by.
fundraisers
string
Comma separated list of fundraiser ids.
templates
string
Comma separated list of fundraiser template (blueprint) ids.
page
integer
Page number. Default: 1
limit
integer
Number of results to return. Default: 10
sort
string
Key to sort by. Allowed values: name, amount_raised, amount_goal
direction
string
Direction of sorting. Allowed values: asc, desc
lang
string
API’s locale. Allowed values: en, fr
include_hidden
integer
Include teams from hidden campaigns. Default: 0
include_subsites
integer
Include data from subsites. Default: 0
amount_raised
object
Team’s amount raised filter.

Response

Returns an array of objects with the following fields.
id
integer
Team ID.
name
string
Team name.
description
string
Team description
image
string
Team image ID
amount_goal
number
Goal amount.
amount_goal_formatted
string
Formatted goal amount of the team, includes currency symbol.
amount_raised
number
Amount raised by the team.
amount_raised_formatted
string
Formatted amount raised by the team, includes currency symbol.
n_donors
number
Number of donors
url
string
URL to team’s page.
language
string
Team language. Allowed values: en, fr
n_pages
integer
Number of pages.
fundraiser
object
Campaign that team belongs to.
user
object
Other responses
StatusDescription
400Bad Request
403Forbidden
[
  {
    "id": 1,
    "name": "Team A",
    "description": "Team description",
    "image": "1eaf5ab2-5d55-11ee-82ef-001c42584fa2",
    "amount_goal": 1000,
    "amount_goal_formatted": "$1,000",
    "amount_raised": 550,
    "amount_raised_formatted": "$550",
    "n_donors": 10,
    "url": "https://demo.crowdchange.dev/1/team/2",
    "language": "en",
    "n_pages": 50,
    "fundraiser": {
      "id": 1,
      "name": "Gala Night",
      "amount_goal": 10000,
      "amount_raised": 8000,
      "amount_raised_formatted": "$8,000",
      "url": "https://demo.crowdchange.dev/1",
      "language": "en",
      "organization": {
        "id": 1,
        "name": "Crowdchange",
        "custom_id": "CrowdchangeID"
      }
    },
    "user": {
      "name": "John Snow",
      "first_name": "John",
      "last_name": "Snow",
      "title": "Mr."
    }
  }
]